Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/labor/v1/payroll-summaries

Prev Next
Get
/public/labor/v1/payroll-summaries

Retrieves payroll labor summaries for a date range

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Query parameters
locationId
string (uuid)
legalEntityId
string (uuid)
businessDateStart
string (date) Required
businessDateEnd
string (date) Required
pageSize
integer (int32)
Responses
200

OK

Array of object
object

Represents a payroll labor summary record for a single employee, date, and earning type.

businessDate
string (date)

Business date of the labor record.

legalEntity
object (R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.ExternalLegalEntity)

Represents a legal entity reference in the payroll summary.

id
string (uuid)

Unique identifier (GUID) of the legal entity.

name
string | null

Display name of the legal entity.

number
string | null

Legal entity number.

payrollProviderId
string | null

External payroll provider identifier for the legal entity.

location
object (R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.ExternalLocation)

Represents a location reference in the payroll summary.

id
string (uuid)

Unique identifier (GUID) of the location.

name
string | null

Display name of the location.

number
string | null

Location number.

payrollLocationId
string | null

External payroll location identifier.

employee
object (R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.ExternalEmployee)

Represents an employee reference in the payroll summary.

id
string (uuid)

Unique identifier (GUID) of the employee.

name
string | null

Display name of the employee.

payrollId
string | null

External payroll identifier for the employee.

earningType
string | null

Earning type code for the labor record.

earningTypeName
string | null

Display name of the earning type.

jobCode
object (R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.JobCode)

Represents a job code reference in the payroll summary.

id
string (uuid)

Unique identifier (GUID) of the job code.

name
string | null

Display name of the job code.

code
string | null

Job code value.

department
string | null

Department the job code belongs to.

totalSeconds
integer (int32)

Total duration of labor in seconds.

rate
number (double)

Pay rate for the labor record.

cost
number (double)

Total cost of the labor record.

422

Unprocessable Content

Expand All
object
errorCode
string | null
innerError
object (R365.TimeAndAttendance.Public.Models.R365Error)
errorCode
string | null
innerError
object (R365.TimeAndAttendance.Public.Models.R365Error) Recursive